Description

Define reflection cubemaps as map or setting-dependent. For instance for a Hexen Winnowing hall we can use a dark-blue sky
cubemap with a stormy clouds, and after we came to Seven Portals we can use another cubemap with a reddish sky.

As a fallback, there could be a default neutral cubemap that is used if the map has no reflection cubemaps of its own.

Possibly one could define two cubemap variants for each map/area, one for objects in sectors with open sky, and one for indoor

objects.

In practice, one would prepare the cubemap textures and then write some definitions that specify the maps (and regions of maps)
where they will be used. The cubemaps would use a new asset identifier (something like texture.environ.*; cf. model.thing.”).

Related issues:
Related to Feature #8: New GL2 based model renderer Closed
Related to Feature #1995: Improved 3D model shaders Closed

2013-10-11
2013-10-12

Associated revisions

Revision 460327f3 - 2015-12-29 21:09 - skyjake

Renderer|Client: Environment cube map textures

Added render::Environment and an instance of it owned by RenderSystem.
RenderSystem now deletes subsystems in reverse order compared to
construction, to ensure appropriate dependency order.

Added a new asset type "texture.reflect.(map-id)" for specifying which
reflection cube maps to use in which map.
History

#1 - 2015-07-29 14:32 - skyjake
- Related to Feature #8: New GL2 based model renderer added

#2 - 2015-07-29 14:32 - skyjake
- Related to Feature #1995: Improved 3D model shaders added

#3 - 2015-12-26 22:50 - skyjake
- Status changed from New to In Progress
- Assignee set to skyjake

- % Done changed from 0 to 30

The shader for cube map reflections has now been implemented.

#4 - 2015-12-29 10:16 - skyjake
- % Done changed from 30 to 50

Next up: new asset type for reflection maps.

#5 - 2015-12-29 16:10 - skyjake

2024-04-25
- Description updated

#6 - 2015-12-29 21:10 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
